Subject: Re: bug#51674: 29.0.50; [PATCH] Fix hang when displaying xwidget script dialog

From: Po Lu <[email-masked]>
Date: Mon, 08 Nov 2021 14:56:43 +0800

Lars Ingebrigtsen <[email-masked]> writes:

>> That's weird, because video works here.  Does it work in another
>> WebKitGTK based browser, like Epiphany, on your Debian system?  Thanks.

> I tried Epiphany now, and it works there.  That is, it plays the mp4
> very slowly, but it does play it.  In the xwidget, it just puts up the
> controls, and then nothing happens.  (This happens with `M-x
> xwidget-webkit-browse-url', too, so it's not just this way of creating
> the xwidgets that's stopping the mp4s from working.)

Can you test the xwidget support using self-built WebKitGTK with
`-DENABLE_GL=NO' added to your cmake options?

You can follow the instructions here: https://trac.webkit.org/wiki/BuildingGtk.

Afterwards, you can add the path to the library into your
LD_LIBRARY_PATH, and start Emacs that way.

Thanks a lot!

> I'm not that familiar with the xwidget.c code...  but that's just always
> maximalising the widget to be as big as the Emacs window?  That can't be
> correct, surely.  Should I just remove it?  It doesn't seem to lead to
> any regressions in xwidget-webkit-browse-url, either.

Yes, you should remove it.  I suspect that code was originally added to
work around the resizing bug I fixed in bug#51679.  Thanks.